ZABBIX_SENDER(8)

NAME
zabbix_sender - Zabbix sender utility.

SYNOPSIS
zabbix_sender [-hpzvIV] {-kso | [-T] -i <inputfile>} [-c <config-file>]

DESCRIPTION
zabbix_sender is a command line utility for sending data to a remote Zabbix server. On the Zabbix server an item of type Zabbix trapper should be created with corresponding key. Note that incoming values will only be accepted from hosts specified in Allowed hosts field for this item.

  Options

-c, --config <config-file>
    Use config-file. Zabbix sender reads server details from the agent configuration file. By default Zabbix sender does not read any configuration file. Absolute path should be specified. Only parameters Hostname, ServerActive and SourceIP are supported. First entry from the ServerActive parameter is used.

-z, --zabbix-server <server>
    Hostname or IP address of Zabbix server. If a host is monitored by a proxy, proxy hostname or IP address should be used instead.

-p, --port <port>
    Specify port number of server trapper running on the server. Default is 10051.

-s, --host <host>
    Specify host name as registered in Zabbix front-end. Host IP address and DNS name will not work.

-I, --source-address <IP>
    Specify source IP address.

-k, --key <key>
    Specify item key to send value to.

-o, --value <value>
    Specify value.

-i, --input-file <inputfile>
    Load values from input file. Specify - for standard input. Each line of file contains whitespace delimited: <hostname> <key> <value>. Specify - in <hostname> to use hostname from configuration file or --host argument. All entries are sent in a sequential order top-down.

-T, --with-timestamps
    Each line of file contains whitespace delimited: <hostname> <key> <timestamp> <value>. This can be used with --input-file option. Timestamp should be specified in Unix timestamp format. If target item has triggers referencing it, all timestamps must be in an increasing order, otherwise event calculation will not be correct.

-r, --real-time
    Send values one by one as soon as they are received. This can be used when reading from standard input.

-v, --verbose
    Verbose mode, -vv for more details.

-h, --help
    Display this help and exit.

-V, --version
    Output version information and exit.

EXAMPLES
zabbix_sender -c /usr/local/etc/zabbix_agentd.conf -s "Monitored Host" -k mysql.queries -o 342.45 Send 342.45 as the value for mysql.queries key in Monitored Host host using Zabbix server defined in agent daemon configuration file. zabbix_sender -z 192.168.1.113 -i data_values.txt Send values from file data_values.txt to server with IP 192.168.1.113. Host names and keys are defined in the file. echo "- hw.serial.number 1287872261 SQ4321ASDF" | zabbix_sender -c /usr/local/etc/zabbix_agentd.conf -T -i - Send a timestamped value from the commandline to Zabbix server, specified in the agent daemon configuration file. Dash in the input data indicates that hostname also should be used from the same configuration file.

SEE ALSO
zabbix_agentd(8), zabbix_get(8), zabbix_proxy(8), zabbix_server(8)

AUTHOR
Alexei Vladishev <alex@zabbix.com>